#include "All_atoms.h"

#include "Atom_kit.h"

namespace MM
{

All_atoms::
All_atoms (Atom_group & group)
{
    for (int i=0;  i<group.atom_count();  ++i)
    {
        Atom & current_atom = group.atom(i);
        group_.push_back (current_atom);

        if (current_atom.kit().has_visual())
            current_atom.kit().visual().show();
    }
}

}//MM
